package com.logicbig.example.common;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

public class CollectionUtil {

    public static <T, C extends Collection<T>> void addToCollectionWithLimit(C c, T itemToAdd, int limit) {
        List<T> list = new ArrayList<>(c);
        list.add(itemToAdd);
        while (list.size() > limit) {
            list.remove(0);
        }
        c.clear();
        c.addAll(list);
    }
}